Subject: Re: bug#15151:

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Nov 2013 16:41:04 -0500

> (global-set-key (kbd "M-2") '(lambda() (interactive) (insert "@")))
> (global-set-key (kbd "M-3") '(lambda() (interactive) (insert "#")))
> (global-set-key (kbd "M-4") '(lambda() (interactive) (insert "$")))
> (global-set-key (kbd "M-5") '(lambda() (interactive) (insert "%")))
> (global-set-key (kbd "M-6") '(lambda() (interactive) (insert "^")))
> (global-set-key (kbd "M-7") '(lambda() (interactive) (insert "&")))
> (global-set-key (kbd "M-8") '(lambda() (interactive) (insert "*")))
> (global-set-key (kbd "M--") '(lambda() (interactive) (insert "—")))

[ Unrelated to the bug report itself, sorry.  ]

Please don't quote your lambdas.

        Stefan